Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms
Class Alignment.StringAlignment

    java.lang.Object
      de.jstacs.algorithms.Alignment.StringAlignment

Enclosing class:
  Alignment

    public static class Alignment.StringAlignment

extends Object

Class for the representation of an alignment of two strings. It contains the two strings that were aligned and expanded by gap-symbols, and the edit-costs according to the employed `Alignment.Costs` instance.

Author:
  Jan Grau

Constructor Summary
`protected` | `Alignment.StringAlignment(String r1, String r2, double cost)` Creates the instance for the two (extended) strings and the edit-costs.

Method Summary
`double` | `getCost()` Returns the costs.
`String` | `getFirst()` Returns the first string.
`String` | `getSecond()` Returns the second string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Alignment.StringAlignment

    protected Alignment.StringAlignment(String r1,
                                        String r2,
                                        double cost)

  Creates the instance for the two (extended) strings and the edit-costs.

  Parameters:
    `r1` - the first string
    `r2` - the second string
    `cost` - the edit-costs

Method Detail

### getCost

    public double getCost()

  Returns the costs.

  Returns:
    the costs

### getFirst

    public String getFirst()

  Returns the first string.

  Returns:
    the first string

### getSecond

    public String getSecond()

  Returns the second string.

  Returns:
    the second string

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD